package com.prolog.eis.service.container;

import com.prolog.eis.model.container.MergeContainerTask;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

public interface MergeContainerTaskService {

    public List<MergeContainerTask> findByCriteria(Criteria criteria);

    public List<MergeContainerTask> findByMap(Map map);

    void save(MergeContainerTask mergeContainerTask);

    void update(MergeContainerTask mergeContainerTask);

    void deleteById(Integer id);
}
